import { ColumnDefinition, FoundationElement } from '@microsoft/fast-foundation';
import { ViewTemplate } from '@microsoft/fast-element';
import { Session, Connect } from '@genesislcap/foundation-comms';
export declare class FileUpload extends FoundationElement {
    fileInput: HTMLInputElement;
    private acceptedFormats;
    private selectedFiles;
    gridCriteria: string;
    connect: Connect;
    session: Session;
    label: string;
    accept: string;
    acceptChanged(): void;
    fileSizeLimitBytes: number;
    uploadedFilesResourceName: string;
    uploadEventName: string;
    fieldName: string;
    entityId: string;
    uploadKey: string;
    gridFields: string;
    fileName: string;
    uploadedFilesList: any[];
    filesGridColumnDefinitions: ColumnDefinition[];
    connectedCallback(): Promise<void>;
    setGridCriteria(): void;
    private handleStreamRowOperation;
    setRowData(): Promise<void>;
    setColumnDefs(): Promise<void>;
    handleClick(): void;
    onInputChange(e: any): void;
    onFilesSelected(files: File[]): void;
    handleFileUpload(): Promise<void>;
    clearSelection(): void;
}
export declare const foundationFileUploadShadowOptions: ShadowRootInit;
export declare const defaultFileUploadConfig: {};
export declare const foundationFileUpload: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: ViewTemplate<FileUpload, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: ViewTemplate<FileUpload, any>;
    shadowOptions: ShadowRootInit;
}, typeof FileUpload>;
//# sourceMappingURL=file-upload.d.ts.map