import { Progress as FASTProgress } from '@microsoft/fast-components';
import { foundationProgressTemplate as template } from './progress.template';
import { foundationProgressStyles as styles } from './progress.styles';
export class Progress extends FASTProgress {
}
export const foundationProgressShadowOptions = undefined;
export const defaultProgressConfig = {
    indeterminateIndicator1: `<span class="indeterminate-indicator-1" part="indeterminate-indicator-1"></span>`,
    indeterminateIndicator2: `<span class="indeterminate-indicator-1" part="indeterminate-indicator-1"></span>`,
};
export const foundationProgress = Progress.compose(Object.assign({ baseName: 'progress', template,
    styles, shadowOptions: foundationProgressShadowOptions }, defaultProgressConfig));
//# sourceMappingURL=progress.js.map