import { FoundationElement } from '@microsoft/fast-foundation';
import { ErrorStructure } from '@genesislcap/foundation-errors';
export declare const foundationErrorBannerShadowOptions: ShadowRootInit;
export declare class ErrorBanner extends FoundationElement {
    banner: HTMLElement & {
        dismiss: () => Promise<void>;
    };
    error: ErrorStructure;
    connectedCallback(): void;
    dismiss(): Promise<void>;
}
export declare const foundationErrorBanner: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBanner, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorBanner, any>;
    shadowOptions: ShadowRootInit;
}, typeof ErrorBanner>;
//# sourceMappingURL=error-banner.d.ts.map