import { html, ref, repeat } from '@microsoft/fast-element';
export const foundationErrorBannerTemplate = html `
  <foundation-banner ${ref('banner')}>
    <div slot="content">
      <div>${(x) => { var _a; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || 'Place holder for error message'; }}</div>
    </div>

    <foundation-button slot="action" appearance="lightweight" @click=${(x) => { var _a; return (_a = x.banner) === null || _a === void 0 ? void 0 : _a.dismiss(); }}>
      ${(x) => { var _a, _b, _c, _d; return ((_d = (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.banner) === null || _c === void 0 ? void 0 : _c.dismissingAction) === null || _d === void 0 ? void 0 : _d.label) || 'Ignore'; }}
    </foundation-button>
    ${repeat((x) => { var _a, _b; return (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.banner.confirmingActions; }, html `
        <foundation-button
          slot="action"
          appearance="lightweight"
          @click=${(x, c) => {
    var _a;
    x === null || x === void 0 ? void 0 : x.action();
    (_a = c.parent) === null || _a === void 0 ? void 0 : _a.dismiss();
}}
        >
          ${(x) => x.label}
        </foundation-button>
      `)}
  </foundation-banner>
`;
//# sourceMappingURL=error-banner.template.js.map